#!/bin/bash
echo
echo "Starting Database repair LEVEL 1 on `cat /RouletteMaster/ROULETTE_NAME` /data/ROULETTE_DATA.GDB"
echo "!!!DO NOT INTERRUPT THIS PROCESS!!!"


rm -rf /data/TEMPDB.GDB > /dev/null 2>&1
rm -rf /data/TEMPBKP.GBK > /dev/null 2>&1

cp -a /data/ROULETTE_DATA.GDB /data/TEMPDB.GDB > /dev/null 2>&1
if [ $? -ne 0 ]; then
#error
    echo "ERROR: Error copying to TEMPDB.GDB"
    exit 1
fi
echo "Mirror database created.."

#creating backup
/opt/firebird/bin/gfix -v /data/TEMPDB.GDB -user sysdba -password masteraloha
/opt/firebird/bin/gfix -v -f /data/TEMPDB.GDB -user sysdba -password masteraloha
/opt/firebird/bin/gfix -mend /data/TEMPDB.GDB -user sysdba -password masteraloha
/opt/firebird/bin/gbak -b -g /data/TEMPDB.GDB /data/TEMPBKP.GBK -user sysdba -password masteraloha
if [ $? -ne 0 ]; then
#error
    echo "ERROR: Error creating backup."
    exit 2
else
#ok
    echo "Backup created successfully."
fi

#restoring from backup
rm -rf /data/TEMPDB.GDB > /dev/null 2>&1
/opt/firebird/bin/gbak -Z 2>&1 | grep "Firebird 2.5" >/dev/null
if [ $? -ne 0 ]; then #FIREBIRD KI NE PODPIRA FIX_FSS_METADATA
    /opt/firebird/bin/gbak -c /data/TEMPBKP.GBK /data/TEMPDB.GDB -user sysdba -password masteraloha 
else
    /opt/firebird/bin/gbak -c /data/TEMPBKP.GBK /data/TEMPDB.GDB -user sysdba -password masteraloha -FIX_FSS_METADATA WIN1250 -FIX_FSS_DATA WIN1250
fi 
if [ $? -ne 0 ]; then
    echo "ERROR: Error restoring from backup."
    exit 3
else
    echo "Backup restored successfully."
fi

mv -f /data/TEMPDB.GDB /data/ROULETTE_DATA.GDB
if [ $? -ne 0 ]; then
    echo "ERROR: Error copying to ROULETTE_DATA.GDB"
    exit 1
fi
echo "New database was created successfully."

rm -rf /data/TEMPDB.GDB
rm -rf /data/TEMPBKP.GBK
echo
echo "DB REPAIR LEVEL1 was finished successfully."
echo

exit 0


