#!/bin/bash

#v update-u se zapiše tale file,... tudi v REPLIKI je ze prisoten, POPE ga po koncani aktivaciji izbrise in takrat se izvede FIRSTUPDATE
RFIRSTUPDATEFile="/RouletteMaster/r_firstupdate"
if [ -f $RFIRSTUPDATEFile ]; then 
	echo "Already installed!"
	exit 0;
fi;

instance_count=`ps -A|grep FirstUpdate.sh|wc -l`;
if [ $instance_count -gt 2 ]; then # mora biti 2, ker '' nam naredijo še eno instanco
    echo "One Instance of FirstUpdate is already running."
    exit 0;
fi

REM_FILE='update.tar.gz.gpg'
SCRIPT_FILE='install.sh'
TMP_FOLDER=`mktemp /data/FirstUpdateXXX -d`
#ROULETTE_NAME=`echo "select RES_STR_VALUE from GET_PARAM('192.168.0.254', 'ROULETTE_NAME', 11)" | $SQL_EXE|head -6|tail -1`
echo $USER>/RouletteMaster/user.tmp

cd $TMP_FOLDER

ftp -n rouletteupdate.serveftp.com <<End-of-session
user charrcom 4knh2wbf
binary
cd /FIRSTUPDATE
get $REM_FILE
bye
End-of-session

if [ ! -e $REM_FILE ] 
then
    echo "No FIRST update available."
    cd /
    rm $TMP_FOLDER -rf
    exit
else
    echo "Installing FIRST update."
fi

#ponovno preverimo, ker se je mogoce ze instaliral, dokler smo downloadali - tezave so lahko pri dolgih download-ih
RFIRSTUPDATEFile="/RouletteMaster/r_firstupdate"
if [ -f $RFIRSTUPDATEFile ]; then 
	echo "Already installed!"
	exit 0;
fi;

gpg --secret-keyring /root/.gnupg/secring.gpg --keyring /root/.gnupg/pubring.gpg --yes --batch --verify $REM_FILE 
RESULT=$?
if [ $RESULT -ne 0 ]; then
    echo "ERROR: FIRST update signature is bad!!!"
    echo "Exiting..."
    cd /
    rm $TMP_FOLDER -rf    
    exit
fi;

gpg --secret-keyring /root/.gnupg/secring.gpg --keyring /root/.gnupg/pubring.gpg --yes --batch -o update.tar.gz -d $REM_FILE;

tar -xzf update.tar.gz;

#ali moramo v mapo
if [ ! -e ./$SCRIPT_FILE ]; then
    echo "entering folder"
    cd *;
fi;

chmod 777 $SCRIPT_FILE
if [ -x $SCRIPT_FILE ]; then
    echo "installing ./"$SCRIPT_FILE
    nohup ./$SCRIPT_FILE 2>/dev/null 1>/dev/null
fi;

sleep 10
cd /
rm $TMP_FOLDER -rf

echo "Success!"
exit 0
