#!/bin/bash
#===============================================================================
#
#          FILE:  send_email.sh
#
#         USAGE:  see --help
#
#   DESCRIPTION:  The script sends email using ./process_mail.sh script. If you would like to 
#		  attach a file to the email, put any files in $ATTACH folder. This script
#                 only puts the email in the /RouletteMaster/eml_outbox, the process_mail.sh
#                 takes care of actualy send the mail with sendEmail
#       OPTIONS:  --help - prints usage
#  REQUIREMENTS:  sqlexec.sh
#          BUGS:  ---
#         NOTES:  roulette master uses this script for sending emails
#                 this script must be accessible as /RouletteMaster/send_email.sh
#        AUTHOR:  Enej Miklavcic, enej.miklavcic@gmail.com
#       COMPANY:  Freeware
#       VERSION:  1.0
#       CREATED:  28.4.2011
#      REVISION:  ---
#===============================================================================
SQL_EXE=/RouletteMaster/sqlexec.sh
ATTACH=/RouletteMaster/eml_attach/
CONF=/RouletteMaster/config/
OUTBOX=/RouletteMaster/eml_outbox/

PROCESS_MAIL=/RouletteMaster/process_email.sh

if [ "--help" = "$1" ]  ;then
    echo
    echo "Usage:"
    echo -e "\techo \"Email body text\" | $0 \"Email subject\" destination.address@emailserver.tld \"Your name\""
    echo "or"
    echo -e "\t$0 \"Email subject\" destination.address@emailserver.tld |\"Your name\"| < ./EmailBodyFile.txt"
    echo
    exit 0;
fi

if [ $# -lt 2 ]; then
    echo "Params error. Try --help for help."
    exit 1
fi

DESTINATION_EMAIL=$2
EMAIL_SUBJECT=$1
if [ $# -gt 2 ]; then
    SENDER_NAME=$3
else
    if [ -f /RouletteMaster/ROULETTE_NAME ]; then
	SENDER_NAME=`cat /RouletteMaster/ROULETTE_NAME`
    else
        SENDER_NAME=`echo "select RES_STR_VALUE from GET_PARAM('192.168.0.254', 'ROULETTE_NAME', 11)" | $SQL_EXE|head -6|tail -1|sed -e 's/  *$//'`
        echo $ROULETTE_NAME > /RouletteMaster/ROULETTE_NAME
    fi
fi

mkdir -p $CONF
mkdir -p $ATTACH
mkdir -p $OUTBOX

EMAIL=`mktemp -d -q -p $OUTBOX email_XXX`

echo Sending email to $DESTINATION_EMAIL
cat /proc/$$/fd/0 > $EMAIL/body

echo "" >> $EMAIL/body
echo "Email created: "`date`>> $EMAIL/body

echo $DESTINATION_EMAIL > $EMAIL/destination
echo $EMAIL_SUBJECT > $EMAIL/subject
mkdir -p $EMAIL/eml_attach/
mv -f  $ATTACH/* --target-directory=$EMAIL/eml_attach/ 2>/dev/null
rm $ATTACH/* -rf

echo "Email was put in outbox... will be sent shortly."

#ni v redu, kliče se iz keep_alive.sh
#$PROCESS_MAIL &

exit 0;


