#!/bin/bash
#===============================================================================
#
#          FILE:  sqlexec.sh
#
#         USAGE:  ./sqlexec.sh
#
#   DESCRIPTION:
#
#       OPTIONS:  ---
#  REQUIREMENTS:  ---
#          BUGS:  ---
#         NOTES:  **** Important ****
#		  Please do not edit this script output style. Many other scrpts
#		  use this one for accessing data. By modifying this scripts
#		  other dependant scripts may fail.		
#        AUTHOR:  Enej Miklavčič, enej.miklavcic@gmail.com
#       COMPANY:  Freeware
#       VERSION:  1.0
#       CREATED:  12.12.2008
#      REVISION:  ---
#===============================================================================

DB="127.0.0.1/3050:/ROULETTE_DATA.GDB"
USER=SYSDBA
PASS=masteraloha
ISQL=/opt/firebird/bin/isql

if [ "--help" = "$1" ] ;then
    echo
    echo "Usage:"
    echo -e "\t$0 \"SQL STATEMENT;\""
    echo "or"
    echo -e "\techo \"SQL STATEMENT;\" | $0; # RECOMENDED OPTION"
    echo "or"
    echo -e "\t$0 < ./script.sql; #RECOMENDED OPTION"
    echo
    exit 0;
fi

echo
F_TEMP=`mktemp ./tmp.sql_XXXX`
if file $( readlink /proc/$$/fd/0 ) | grep -q "character special"; then
    echo "Reading from stdin."
    echo "WARINIG:there is a problem with the '*'character. Better use PIPE or FILE mode.";
    echo
    if [ $# -gt 0 ]; then
        echo  $* > $F_TEMP;
    fi                
elif readlink /proc/$$/fd/0 | grep -q "^pipe:"; then
#    echo "Reading from Pipe input:"
    echo
    cat /proc/$$/fd/0 > $F_TEMP;
else
#    echo "Reading from File input:"
    echo
    cat /proc/$$/fd/0 > $F_TEMP;
fi

if [ ! -s $F_TEMP ]; then
    echo "Params error. Try --help for help."
    rm $F_TEMP -rf
    exit 0
fi
        
        
echo \; >> $F_TEMP
$ISQL $DB -nowarnings -u $USER -p $PASS -s 3 << END_OF_SESSION
set term ^ ;
set term ; ^
IN $F_TEMP;
;
commit;
quit;
END_OF_SESSION

RESULT=$?
rm $F_TEMP -rf
if [ $RESULT -eq 0 ]; then
    echo SQL OK;
    exit 0;
else
    echo
    echo ERROR executing SQL;
    exit -1;
fi


